Subject: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Andrea Corallo <[email-masked]>
Date: Tue, 20 Jun 2023 04:31:44 -0400

Cyril Arnould <[email-masked]> writes:

> Ok I ran the following, just to have a fresh start with the latest sources:
>
>  
>
> git clean -xdf
>
> git switch emacs-29
>
> git pull
>
> ./autogen.sh
>
> export CFLAGS='-g3 -O1 -gdwarf-2 -foptimize-sibling-calls -fdump-tree-tailr'
>
> ./configure --with-native-compilation
>
> make
>
>  
>
> I couldn't find anything searching for the phrases you mentioned,
>
> however. I also don't really know what to look for... I've tried to
>
> gather all of the .tailr1 and .tailr2 files, you can find them
>
> attached. I hope this helps.

Mmmhh that's bizarre, AFAIU -foptimize-sibling-calls only triggers in
the compiler tailr and if this does something it should dump one of the
mentioned phrases.

If -foptimize-sibling-calls is really the culprint we should see
something there... I must be missing something here.

  Andrea